PDLOverrideSupported (Java SE 11 & JDK 11 )
Keywords: javax.print.attribute.standard.PDLOverrideSupported class

Module java.desktop
Package javax.print.attribute.standard

## Class PDLOverrideSupported

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.PDLOverrideSupported

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Attribute`, `PrintServiceAttribute`

      public class PDLOverrideSupported
      extends EnumSyntax
      implements PrintServiceAttribute

  Class `PDLOverrideSupported` is a printing attribute class, an enumeration, that expresses the printer's ability to attempt to override processing instructions embedded in documents' print data with processing instructions specified as attributes outside the print data.

  IPP Compatibility: The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PDLOverrideSupported` | `ATTEMPTED` | The printer attempts to make the external job attribute values take precedence over embedded instructions in the documents' print data, however there is no guarantee.
    `static PDLOverrideSupported` | `NOT_ATTEMPTED` | The printer makes no attempt to make the external job attribute values take precedence over embedded instructions in the documents' print data.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PDLOverrideSupported​(int value)` | Construct a new PDL override supported enumeration value with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `protected EnumSyntax[]` | `getEnumValueTable()` | Returns the enumeration value table for class `PDLOverrideSupported`.
    `String` | `getName()` | Get the name of the category of which this attribute value is an instance.
    `protected String[]` | `getStringTable()` | Returns the string table for class `PDLOverrideSupported`.

    - ### Methods declared in class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods declared in class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NOT_ATTEMPTED

          public static final PDLOverrideSupported NOT_ATTEMPTED

      The printer makes no attempt to make the external job attribute values take precedence over embedded instructions in the documents' print data.

    - #### ATTEMPTED

          public static final PDLOverrideSupported ATTEMPTED

      The printer attempts to make the external job attribute values take precedence over embedded instructions in the documents' print data, however there is no guarantee.

  - ### Constructor Detail

    - #### PDLOverrideSupported

          protected PDLOverrideSupported​(int value)

      Construct a new PDL override supported enumeration value with the given integer value.
      Parameters:
        `value` - Integer value

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Returns the string table for class `PDLOverrideSupported`.
      Overrides:
        `getStringTable` in class `EnumSyntax`
      Returns:
        the string table

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Returns the enumeration value table for class `PDLOverrideSupported`.
      Overrides:
        `getEnumValueTable` in class `EnumSyntax`
      Returns:
        the value table

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class `PDLOverrideSupported` and any vendor-defined subclasses, the category is class `PDLOverrideSupported` itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        printing attribute class (category), an instance of class `java.lang.Class`

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class `PDLOverrideSupported` and any vendor-defined subclasses, the category name is `"pdl-override-supported"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        attribute category name